import { getImageBases } from '@/services/common/api';
import React, { useEffect, useState } from 'react';
const UploadContext = React.createContext();

const sleep = time =>
  new Promise((res, rej) => {
    setTimeout(() => {
      res();
    }, time);
  });

const PictureWallProvider = props => {
  const { children, ...rest } = props;
  const [imgBed, setImgBed] = useState([]);

  const update = () =>
    getImageBases('')
      .then(res => {
        if (res.code === 0) {
          setImgBed(res.data);
        }
      })
      .catch(err => {
        // eslint-disable-next-line no-console
        console.error(err);
        return sleep(3000).then(update);
      });

  useEffect(() => {
    update();
  }, []);

  return (
    <UploadContext.Provider value={{ imgBed, update }}>
      {children}
    </UploadContext.Provider>
  );
};

export { UploadContext as default, PictureWallProvider };
